# Installation
> `npm install --save @types/screenshot-desktop`

# Summary
This package contains type definitions for screenshot-desktop (https://github.com/bencevans/screenshot-desktop).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/screenshot-desktop.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/screenshot-desktop/index.d.ts)
````ts
/// <reference types="node" />

export = screenshotDesktop;

declare function screenshotDesktop(
    options?: { format?: screenshotDesktop.ImageFormat; screen?: screenshotDesktop.DisplayID },
): Promise<Buffer>;
declare function screenshotDesktop(
    options?: { filename: string; format?: screenshotDesktop.ImageFormat; screen?: screenshotDesktop.DisplayID },
): Promise<string>;

declare namespace screenshotDesktop {
    type DisplayID = number;

    type ImageFormat =
        | "bmp"
        | "emf"
        | "exif"
        | "jpg"
        | "jpeg"
        | "gif"
        | "png"
        | "tiff"
        | "wmf";

    function listDisplays(): Promise<Array<{ id: DisplayID; name: string }>>;
    function all(): Promise<Array<{ id: DisplayID; name: string }>>;
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: [@types/node](https://npmjs.com/package/@types/node)

# Credits
These definitions were written by [Usama Ahsan](https://github.com/usama8800).
